import {useState} from "react";

let Signup = ({signup}) => {
    let [user, setUser] = useState("");
    let [password, setPassword] = useState("");

    let handleSubmit = e => {
        e.preventDefault();
        signup(user, password);
        setUser('');
        setPassword('');
    };

    let handlePasswordChange = e => {
        setPassword(e.target.value);
    };

    let handleUserChange = e => {
        setUser(e.target.value);
    };

    return <div>
        <h2>Signup</h2>
        <form onSubmit={handleSubmit}>
            <p><label>User :</label></p>
            <p><input type="text" name="user" value={user} onChange={handleUserChange} /></p>
            <p><label>Password :</label></p>
            <p><input type="password" name="password" value={password} onChange={handlePasswordChange} /></p>
            <p><button type="submit">Submit</button></p>
        </form>
    </div>
};

export default Signup;
