import {
    BrowserRouter as Router,
    Switch,
    Route,
    Link
  } from "react-router-dom";

import Signin from './Signin'
import Signup from './Signup'
import Signout from './Signout'
import Home from './Home'

let TP3 = () => {
    let user = null;

    let checkStatus = res => {
        if (res.ok) {
            return res;
        } else {
            return res.text()
            .then(msg => { throw new Error(msg); });
        }
    };

    let signin = (user, password) => {
        fetch(`http://127.0.0.1:4200/signin`, {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({user, password})
        })
        .then(checkStatus)
        .then(res => res.json())
        .then(data => {
            console.log(data);
        })
        .catch(err => {
            console.log(err.message);
        });
    };

    let signup = (user, password) => {
        fetch(`http://127.0.0.1:4200/signup`, {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({user, password})
        })
        .then(checkStatus)
        .then(res => res.json())
        .then(data => {
            console.log(data);
        })
        .catch(err => {
            console.log(err.message);
        });
    };

    return (
        <Router>
          <div>
            <nav>
                <ul>
                    <li>
                        <Link to="/">Home</Link>
                    </li>
                    <li>
                        <Link to="/Signin">Signin</Link>
                    </li>
                    <li>
                        <Link to="/Signup">Signup</Link>
                    </li>
                    <li>
                        <Link to="/Signout">Signout</Link>
                    </li>
                </ul>
            </nav>
            <Switch>
                <Route path="/signin">
                    <Signin signin={signin}/>
                </Route>
                <Route path="/signup">
                    <Signup signup={signup}/>
                </Route>
                <Route path="/signout">
                    <Signout />
                </Route>
                <Route path="/">
                    <Home />
                </Route>
            </Switch>
          </div>
        </Router>
    );
};

export default TP3;
